List Requestors
curl --request GET \
--url https://enterprise.tavrn.ai/v2/requestors \
--header 'Authorization: Bearer <token>'import requests
url = "https://enterprise.tavrn.ai/v2/requestors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://enterprise.tavrn.ai/v2/requestors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://enterprise.tavrn.ai/v2/requestors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://enterprise.tavrn.ai/v2/requestors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://enterprise.tavrn.ai/v2/requestors")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://enterprise.tavrn.ai/v2/requestors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "111111111111111111111111",
"name": "<string>",
"is_default": true,
"provider_invoice_limit": 1,
"effective_provider_invoice_limit": 1,
"letter_of_rep": {
"file_name": "<string>",
"page_count": 123,
"uploaded_at": "2023-11-07T05:31:56Z"
},
"rfc_form": {
"file_name": "<string>",
"page_count": 123,
"uploaded_at": "2023-11-07T05:31:56Z"
},
"affidavits": {
"declared_families": [
"records"
],
"documents": [
{
"file_name": "<string>",
"page_count": 123,
"uploaded_at": "2023-11-07T05:31:56Z",
"family": "records",
"source": "FIRM_UPLOAD"
}
],
"generic": {
"file_name": "<string>",
"page_count": 123,
"uploaded_at": "2023-11-07T05:31:56Z"
},
"config_revision": 123
},
"correspondence": {
"custom_letter_body": "<string>",
"custom_letter_body_requires_rfc": true,
"notice": {
"title": "<string>",
"body": "<string>",
"suppress_prepayment_sentence": true,
"suppress_provider_cost_threshold_paragraph": true
},
"billing_request": {
"special_instruction": "<string>",
"cover_letter_ask": "<string>",
"auth_scope_stamp_label": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next": "https://enterprise.tavrn.ai/v2/requestors?limit=20&cursor=next_cursor",
"previous": null
}{
"error": {
"code": "validation_error",
"message": "The patient.date_of_birth field is required"
}
}{
"error": {
"code": "validation_error",
"message": "The patient.date_of_birth field is required"
}
}{
"error": {
"code": "validation_error",
"message": "The patient.date_of_birth field is required"
}
}Requestors
List Requestors
List your organization’s Requestor profiles. is_default identifies the default profile. Requires requestors:read.
GET
/
v2
/
requestors
List Requestors
curl --request GET \
--url https://enterprise.tavrn.ai/v2/requestors \
--header 'Authorization: Bearer <token>'import requests
url = "https://enterprise.tavrn.ai/v2/requestors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://enterprise.tavrn.ai/v2/requestors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://enterprise.tavrn.ai/v2/requestors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://enterprise.tavrn.ai/v2/requestors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://enterprise.tavrn.ai/v2/requestors")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://enterprise.tavrn.ai/v2/requestors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "111111111111111111111111",
"name": "<string>",
"is_default": true,
"provider_invoice_limit": 1,
"effective_provider_invoice_limit": 1,
"letter_of_rep": {
"file_name": "<string>",
"page_count": 123,
"uploaded_at": "2023-11-07T05:31:56Z"
},
"rfc_form": {
"file_name": "<string>",
"page_count": 123,
"uploaded_at": "2023-11-07T05:31:56Z"
},
"affidavits": {
"declared_families": [
"records"
],
"documents": [
{
"file_name": "<string>",
"page_count": 123,
"uploaded_at": "2023-11-07T05:31:56Z",
"family": "records",
"source": "FIRM_UPLOAD"
}
],
"generic": {
"file_name": "<string>",
"page_count": 123,
"uploaded_at": "2023-11-07T05:31:56Z"
},
"config_revision": 123
},
"correspondence": {
"custom_letter_body": "<string>",
"custom_letter_body_requires_rfc": true,
"notice": {
"title": "<string>",
"body": "<string>",
"suppress_prepayment_sentence": true,
"suppress_provider_cost_threshold_paragraph": true
},
"billing_request": {
"special_instruction": "<string>",
"cover_letter_ask": "<string>",
"auth_scope_stamp_label": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next": "https://enterprise.tavrn.ai/v2/requestors?limit=20&cursor=next_cursor",
"previous": null
}{
"error": {
"code": "validation_error",
"message": "The patient.date_of_birth field is required"
}
}{
"error": {
"code": "validation_error",
"message": "The patient.date_of_birth field is required"
}
}{
"error": {
"code": "validation_error",
"message": "The patient.date_of_birth field is required"
}
}Authorizations
API key authentication. Use format: Authorization: Bearer tavrn_sk_live_...
Query Parameters
Required range:
1 <= x <= 100Opaque cursor from next or previous.
Required string length:
1 - 1000